xn::ExtensionModule Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ExtensionModule:
[legend]

## Public Member Functions

virtual XnStatus | Load ()
Public Member Functions inherited from xn::Module
| Module ()
virtual | ~Module ()
virtual void | Unload ()
XnStatus | AddExportedNode (XnModuleGetExportedInterfacePtr pEntryPoint)
XnUInt32 | GetExportedNodesCount ()
XnStatus | GetExportedNodes (XnModuleGetExportedInterfacePtr *aEntryPoints, XnUInt32 nCount)

## Protected Member Functions

virtual XnStatus | RegisterNewTypes ()=0

## Member Function Documentation

## Load()

virtual XnStatus xn::ExtensionModule::Load | ( |  | ) |

inline virtual

Reimplemented from xn::Module.

## RegisterNewTypes()

virtual XnStatus xn::ExtensionModule::RegisterNewTypes | ( |  | ) |

protected pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h